import type { ESLintExtendedProgram, ESLintProgram } from ".";
/**
 * The interface of a result of ESLint custom parser.
 */
export declare type ESLintCustomParserResult = ESLintProgram | ESLintExtendedProgram;
/**
 * The interface of ESLint custom parsers.
 */
export interface ESLintCustomParser {
    parse(code: string, options: any): ESLintCustomParserResult;
    parseForESLint?(code: string, options: any): ESLintCustomParserResult;
}
/** Get parser name */
export declare function getParserName(attrs: Record<string, string | undefined>, parser: any): string;
/** Get parser */
export declare function getParser(attrs: Record<string, string | undefined>, parser: any): ESLintCustomParser;
